Skip to content

List Users

GET
/api/superadmin/users
curl --request GET \
--url 'https://example.com/api/superadmin/users?limit=50&offset=0' \
--header 'Authorization: Bearer <token>'

Paginated list of all platform users.

search
Any of:
string

Search by name or email

status
Any of:
string

Filter by status

org_id
Any of:
string

Filter by org UUID

limit
Limit
integer
default: 50 >= 1 <= 200
offset
Offset
integer
0

Successful Response

Media type application/json
UserListResponse
object
users
required
Users
Array<object>
SuperAdminUserResponse
object
id
required
Id
string
email
Any of:
string
display_name
required
Display Name
string
avatar_url
Any of:
string
status
required
Status
string
is_superadmin
required
Is Superadmin
boolean
created_at
Any of:
string
updated_at
Any of:
string
total
required
Total
integer
Example generated
{
"users": [
{
"id": "example",
"email": "example",
"display_name": "example",
"avatar_url": "example",
"status": "example",
"is_superadmin": true,
"created_at": "example",
"updated_at": "example"
}
],
"total": 1
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}